﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectTractor.DrawningObjects;

namespace ProjectTractor.MovementStrategy
{
    /// <summary>
    /// Реализация интерфейса IDrawningObject для работы с объектом DrawningTractor(паттерн Adapter)
    /// </summary>
    public class DrawningObjectTractor : IMoveableObject
    {
        private readonly DrawningTractor? _drawningTractor = null;
        public DrawningObjectTractor(DrawningTractor drawningTractor)
        {
            _drawningTractor = drawningTractor;
        }
        public ObjectParameters? GetObjectPosition
        {
            get
            {
                if (_drawningTractor == null || _drawningTractor.EntityTractor ==
                null)
                {
                    return null;
                }
                return new ObjectParameters(_drawningTractor.GetPosX,
                _drawningTractor.GetPosY, _drawningTractor.GetWidth, _drawningTractor.GetHeight);
            }
        }
        public int GetStep => (int)(_drawningTractor?.EntityTractor?.Step ?? 0);
        public bool CheckCanMove(DirectionType direction) =>
        _drawningTractor?.CanMove(direction) ?? false;
        public void MoveObject(DirectionType direction) =>
        _drawningTractor?.MoveTransport(direction);
        
        public void getData()
        {

        }
    }

}
