﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTractor.Entities
{
    /// <summary>
    /// Класс-сущность "Спортивный автомобиль"
    /// </summary>
    public class EntityBulldoser : EntityTractor
    {
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия обвеса
        /// </summary>
        public bool WheelsOrnament { get; private set; }
        /// <summary>
        /// Признак (опция) наличия антикрыла
        /// </summary>
        public bool Blade { get; private set; }

        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="wheelsOrnament">Признак наличия обвеса</param>
        /// <param name="blade">Признак наличия отвала</param>

        public EntityBulldoser(int speed, double weight, Color bodyColor, Color
       additionalColor, bool wheelsOrnament, bool blade) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            WheelsOrnament = wheelsOrnament;
            Blade = blade;
        }
    }

}
